Package org.eclipse.e4.ui.css.swt.dom.definition

# Class ThemeDefinitionElement<T extends org.eclipse.e4.ui.internal.css.swt.definition.IThemeElementDefinitionOverridable<?>>

java.lang.Object
org.eclipse.e4.ui.css.core.dom.ElementAdapter
org.eclipse.e4.ui.css.swt.dom.definition.ThemeDefinitionElement<T>

All Implemented Interfaces:
  `CSSStylableElement`, `Element`, `Node`

Direct Known Subclasses:
  `ColorDefinitionElement`, `FontDefinitionElement`

public class ThemeDefinitionElement<T extends org.eclipse.e4.ui.internal.css.swt.definition.IThemeElementDefinitionOverridable<?>> extends ElementAdapter

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`engine`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Constructor
Description
`ThemeDefinitionElement(T definition, CSSEngine engine)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String attr)`
`NodeList`
`getChildNodes()`
`String`
`getCSSClass()`
Return the class of the native widget.
`String`
`getCSSId()`
Return the id of the native widget.
`String`
`getCSSStyle()`
Return the inline style of the native widget.
`String`
`getLocalName()`
`String`
`getNamespaceURI()`
`Node`
`getParentNode()`

### Methods inherited from class org.eclipse.e4.ui.css.core.dom.ElementAdapter

`addStaticPseudoInstance, appendChild, cloneNode, compareDocumentPosition, copyDefaultStyleDeclarations, dispose, doApplyStyles, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultStyleDeclaration, getElement, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNativeWidget, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getPreviousSibling, getSchemaTypeInfo, getStaticPseudoInstances, getStyle, getTagName, getTextContent, getUserData, hasAttribute, hasAttributeNS, hasAttributes, hasChildNodes, initialize, insertBefore, isDefaultNamespace, isEqualNode, isPseudoInstanceOf, isSameNode, isStaticPseudoInstance, isSupported, lookupNamespaceURI, lookupPrefix, normalize, onStylesApplied, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultStyleDeclaration, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThemeDefinitionElement

public ThemeDefinitionElement(T definition, CSSEngine engine)

## Method Details

### getChildNodes

public NodeList getChildNodes()

### getNamespaceURI

public String getNamespaceURI()

### getParentNode

public Node getParentNode()

### getCSSId

public String getCSSId()
Description copied from interface: `CSSStylableElement`
Return the id of the native widget. This method is used to manage CSS style like this input#MyId{....}.

### getCSSClass

public String getCSSClass()
Description copied from interface: `CSSStylableElement`
Return the class of the native widget. This method is used to manage CSS style like this .blueClass {...}.

### getCSSStyle

public String getCSSStyle()
Description copied from interface: `CSSStylableElement`
Return the inline style of the native widget.

### getLocalName

public String getLocalName()

Specified by:
  `getLocalName` in interface `Node`
Specified by:
  `getLocalName` in class `ElementAdapter`

### getAttribute

public String getAttribute(String attr)

Specified by:
  `getAttribute` in interface `Element`
Specified by:
  `getAttribute` in class `ElementAdapter`